Create a new Client Profile.

Prev Next
Post
/client-profiles

Create a new Client Profile.

Security
HTTP
Type bearer
Body parameters

Client Profile object.

object
#content#
Responses
200

Created Client Profile.

object
id
string (uuid)

ID of the object.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
name
string

Name of the object.

Exampleobject
notes
string

Notes for the object. Used for documentation purposes.

ExampleThis object has been created for test purposes.
created
string (date-time)

Create date.

updated
string (date-time)

Last update date.

tags
Array of string

Array of tags.

Example[ "developer", "api-created" ]
string
type
string

Type of the client profile.

Valid values[ "Profile", "Group" ]
Default"Profile"
spaKeyName
string Deprecated

SPA key name to be used in the profile. Same key names in different profiles will have the same SPA key. SPA key is used by the client to connect to the controllers. If left empty, the name will be generated by the controller using the profile name.

Exampletest_key
identityProviderName
string

Name of the Identity Provider to be used to authenticate.

Examplelocal
hostname
string

Overrides the Profile Hostname in global settings for this specific profile. Generated URLs will use this hostname instead.

Exampleappgate.company.com
globalHostname
string

The Global Profile Hostname as defined in global settings. Generated URLs will use this hostname.

Exampleappgate.company.com
exported
string (date-time)

Exported time is the last time when the client profile is exported either using the URL or Barcode.

Example2022-05-20T13:35:31.836Z
400

JSON error. Check the JSON format.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

401

Token error. Login again.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

403

Insufficient permissions to access this resource.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

406

Invalid 'Accept' header.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

409

The submitted resource conflicts with another.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

422

Request validation error. Check "errors" array for details.

Expand All
object

Http 422 error for object validation.

id
string

Machine readable error code.

message
string

Human readable error details.

errors
Array of object

List of fields with validation errors.

object
field
string

Name of the field that failed validation.

Examplename
message
string

Failure reason.

Examplemay not be null
500

Unexpected server side error.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.